<?php
declare(strict_types=1);

namespace App\Entity\Organization;

//use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
//#[Auditable]
#[ORM\Entity]
class OnlineRegistrationOpeningPeriod
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'openingPeriods')]
    #[ORM\JoinColumn]
    private OnlineRegistrationSettings $onlineRegistrationSettings;

    #[ORM\ManyToOne(inversedBy: 'openingPeriodsNewEnrolments')]
    #[ORM\JoinColumn]
    private OnlineRegistrationSettings $onlineRegistrationSettingsNewEnrolments;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getOnlineRegistrationSettings(): ?OnlineRegistrationSettings
    {
        return $this->onlineRegistrationSettings;
    }

    public function setOnlineRegistrationSettings(?OnlineRegistrationSettings $onlineRegistrationSettings): self
    {
        $this->onlineRegistrationSettings = $onlineRegistrationSettings;

        return $this;
    }

    public function getOnlineRegistrationSettingsNewEnrolments(): ?OnlineRegistrationSettings
    {
        return $this->onlineRegistrationSettingsNewEnrolments;
    }

    public function setOnlineRegistrationSettingsNewEnrolments(?OnlineRegistrationSettings $onlineRegistrationSettingsNewEnrolments): self
    {
        $this->onlineRegistrationSettingsNewEnrolments = $onlineRegistrationSettingsNewEnrolments;

        return $this;
    }
}